rpms/gstreamer-plugins-good/devel gst-plugins-good-0.10.9-libv4l.patch, 1.1, 1.2 gstreamer-plugins-good.spec, 1.71, 1.72

Hans de Goede jwrdegoede at fedoraproject.org
Sun Aug 31 21:21:36 UTC 2008


Author: jwrdegoede

Update of /cvs/extras/rpms/gstreamer-plugins-good/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv22952

Modified Files:
	gst-plugins-good-0.10.9-libv4l.patch 
	gstreamer-plugins-good.spec 
Log Message:
* Sun Aug 31 2008 Hans de Goede <j.w.r.degoede at hhs.nl> 0.10.10-2
- Fix gst-plugins-good-0.10.9-libv4l.patch to not only patch configure.ac
  but also configure so that the libv4l code actually gets enabled


gst-plugins-good-0.10.9-libv4l.patch:

Index: gst-plugins-good-0.10.9-libv4l.patch
===================================================================
RCS file: /cvs/extras/rpms/gstreamer-plugins-good/devel/gst-plugins-good-0.10.9-libv4l.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- gst-plugins-good-0.10.9-libv4l.patch	11 Aug 2008 03:01:13 -0000	1.1
+++ gst-plugins-good-0.10.9-libv4l.patch	31 Aug 2008 21:21:04 -0000	1.2
@@ -507,3 +507,106 @@
      }
  
      if (r < 0)
+--- configure	2008-08-31 22:54:24.000000000 +0200
++++ configure	2008-08-31 22:57:45.000000000 +0200
+@@ -1131,6 +1131,8 @@ USE_OSX_VIDEO_FALSE
+ XVIDEO_LIBS
+ USE_GST_V4L2_TRUE
+ USE_GST_V4L2_FALSE
++LIBV4L2_CFLAGS
++LIBV4L2_LIBS
+ XMKMF
+ X_CFLAGS
+ X_PRE_LIBS
+@@ -1286,6 +1288,8 @@ GST_PLUGINS_BASE_CFLAGS
+ GST_PLUGINS_BASE_LIBS
+ GTK2_CFLAGS
+ GTK2_LIBS
++LIBV4L2_CFLAGS
++LIBV4L2_LIBS
+ XMKMF
+ XFIXES_CFLAGS
+ XFIXES_LIBS
+@@ -2093,6 +2097,10 @@ Some influential environment variables:
+               linker flags for GST_PLUGINS_BASE, overriding pkg-config
+   GTK2_CFLAGS C compiler flags for GTK2, overriding pkg-config
+   GTK2_LIBS   linker flags for GTK2, overriding pkg-config
++  LIBV4L2_CFLAGS
++              C compiler flags for LIBV4L2, overriding pkg-config
++  LIBV4L2_LIBS
++              linker flags for LIBV4L2, overriding pkg-config
+   XMKMF       Path to xmkmf, Makefile generator for X Window System
+   XFIXES_CFLAGS
+               C compiler flags for XFIXES, overriding pkg-config
+@@ -37088,6 +37096,71 @@ else
+ fi
+ 
+ 
++if test x$HAVE_GST_V4L2 = xyes; then
++
++pkg_failed=no
++{ echo "$as_me:$LINENO: checking for LIBV4L2" >&5
++echo $ECHO_N "checking for LIBV4L2... " >&6; }
++
++if test -n "$PKG_CONFIG"; then
++    if test -n "$LIBV4L2_CFLAGS"; then
++        pkg_cv_LIBV4L2_CFLAGS="$LIBV4L2_CFLAGS"
++    else
++        if test -n "$PKG_CONFIG" && \
++    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libv4l2\"") >&5
++  ($PKG_CONFIG --exists --print-errors "libv4l2") 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; then
++  pkg_cv_LIBV4L2_CFLAGS=`$PKG_CONFIG --cflags "libv4l2" 2>/dev/null`
++else
++  pkg_failed=yes
++fi
++    fi
++else
++	pkg_failed=untried
++fi
++if test -n "$PKG_CONFIG"; then
++    if test -n "$LIBV4L2_LIBS"; then
++        pkg_cv_LIBV4L2_LIBS="$LIBV4L2_LIBS"
++    else
++        if test -n "$PKG_CONFIG" && \
++    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libv4l2\"") >&5
++  ($PKG_CONFIG --exists --print-errors "libv4l2") 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; then
++  pkg_cv_LIBV4L2_LIBS=`$PKG_CONFIG --libs "libv4l2" 2>/dev/null`
++else
++  pkg_failed=yes
++fi
++    fi
++else
++	pkg_failed=untried
++fi
++
++if test $pkg_failed = yes; then
++	LIBV4L2_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libv4l2"`
++	# Put the nasty error message in config.log where it belongs
++	echo "$LIBV4L2_PKG_ERRORS" 1>&5
++
++	have_libv4l2=no
++elif test $pkg_failed = untried; then
++	have_libv4l2=no
++else
++	LIBV4L2_CFLAGS=$pkg_cv_LIBV4L2_CFLAGS
++	LIBV4L2_LIBS=$pkg_cv_LIBV4L2_LIBS
++        { echo "$as_me:$LINENO: result: yes" >&5
++echo "yes" >&6; }
++	have_libv4l2=yes
++fi
++
++cat >>confdefs.h <<\_ACEOF
++#define HAVE_LIBV4L2 test x$have_libv4l2 = xyes
++_ACEOF
++
++fi
++
+ 
+ { echo "$as_me:$LINENO: checking for X" >&5
+ echo $ECHO_N "checking for X... $ECHO_C" >&6; }


Index: gstreamer-plugins-good.spec
===================================================================
RCS file: /cvs/extras/rpms/gstreamer-plugins-good/devel/gstreamer-plugins-good.spec,v
retrieving revision 1.71
retrieving revision 1.72
diff -u -r1.71 -r1.72
--- gstreamer-plugins-good.spec	27 Aug 2008 08:18:53 -0000	1.71
+++ gstreamer-plugins-good.spec	31 Aug 2008 21:21:05 -0000	1.72
@@ -6,7 +6,7 @@
 
 Name: 		%{gstreamer}-plugins-good
 Version: 	0.10.10
-Release:  	1%{?dist}
+Release:  	2%{?dist}
 Summary: 	GStreamer plug-ins with good code and licensing
 
 Group: 		Applications/Multimedia
@@ -239,6 +239,10 @@
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
 
 %changelog
+* Sun Aug 31 2008 Hans de Goede <j.w.r.degoede at hhs.nl> 0.10.10-2
+- Fix gst-plugins-good-0.10.9-libv4l.patch to not only patch configure.ac
+  but also configure so that the libv4l code actually gets enabled
+
 * Wed Aug 27 2008 - Bastien Nocera <bnocera at redhat.com> 0.10.10-1
 - Update to 0.10.10
 - Remove cdio plugin, as it was moved to -ugly upstream




More information about the fedora-extras-commits mailing list